gatsby-plugin-uncss

Gatsby plugin for removing unused CSS in production.

WARNING: This module has been deprecated in favor of gatsby-plugin-purify-css. Please install it instead. See https://github.com/rongierlach/gatsby-plugin-purify-css for more information.
Last updated a year ago by rongierlach .
GPL-3.0 · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install gatsby-plugin-uncss 
SYNC missed versions from official npm registry.

Gatsby Plugin Uncss

JavaScript Style Guide npm version dependencies Status devDependencies Status
A Gatsby post-build plugin that implements Uncss.
Never worry about the size of your css framework again!
It updates your html files directly, removing any unused inline styles.

Install

$ npm install gatsby-plugin-uncss

Usage

In your gatsby-config.js file:

module.exports = {
  plugins: [
    {
      resolve: 'gatsby-plugin-uncss'
      options: {
        uncssOptions: { /* ... */ }
      }
    }
  ]
}

Options

Uncss options are documented here.

Current Tags

  • 1.1.0                                ...           latest (a year ago)

8 Versions

  • 1.1.0 [deprecated]           ...           a year ago
  • 1.0.0 [deprecated]           ...           a year ago
  • 0.1.4 [deprecated]           ...           a year ago
  • 0.1.3 [deprecated]           ...           a year ago
  • 0.1.2 [deprecated]           ...           a year ago
  • 0.1.1 [deprecated]           ...           a year ago
  • 0.1.0 [deprecated]           ...           a year ago
  • 0.0.0 [deprecated]           ...           a year ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 8
Last Day 0
Last Week 8
Last Month 1
Dependencies (6)
Dependents (0)
None

Copyright 2014 - 2017 © taobao.org |